<%@page import="com.zaakpay.api.lib.ChecksumCalculator"%>
<%@page import="java.util.ArrayList"%>
<%@page import= "java.util.Enumeration "%>
<%@page import= "java.util.List" %>
<%@page import="java.util.Collections"%>
<%@page import="java.util.Arrays"%>
<%@page contentType="text/html" %> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Zaakpay</title>
</head>
<body>
	<%
	//insert your secret key here;
	String secretKey = "";
	Enumeration<String> en = request.getParameterNames();
    List<String> list = Collections.list(en);
    List<String> checksumsequence= new ArrayList<>(Arrays.asList("amount","bank","bankid",
            "cardId","cardScheme","cardToken","cardhashid","doRedirect","orderId","paymentMethod","paymentMode","responseCode",
            "responseDescription"));
    List<String> Parameterinseq=new ArrayList<>();
    for(String s:checksumsequence)
    {
        if(list.contains(s))
        {
          Parameterinseq.add(s);
        }
    }
	
    String checksum = request.getParameter("checksum");
    Boolean isChecksumValid=false;
    String allNonEmptyParamValue = "";
    for (int i = 0; i < Parameterinseq.size(); i++) {
      String paramName = (String)Parameterinseq.get(i);
   		if(!paramName.equals("checksum")){
      String paramValue = "";
      
        paramValue =request.getParameter(paramName);
    
        
      if (paramValue != null)
      {
        allNonEmptyParamValue = allNonEmptyParamValue+paramName+"="+ paramValue + "&";
      }
   }
    }
    
    if(checksum != null){
		isChecksumValid = ChecksumCalculator.verifyChecksum(secretKey, allNonEmptyParamValue,checksum);
	}
	
	
	%>

	<center>
		<table width="800px;">
			<tr>
				<td colspan="2" align="center" valign="middle">This Page is for Testing purpose later on will be on merchant Site</td>
			</tr>
			<tr>
				<td width="30%" align="center" valign="middle">Order Id</td>
				<td width="70%" align="center" valign="middle"><%=request.getParameter("orderId") %> </td>
			</tr>
			
			<tr>
				<td  align="center" valign="middle">Response Code</td>
				<% if(isChecksumValid){ %>
					<td  align="center" valign="middle"><%=request.getParameter("responseCode")%></td>
				<% } else{ %>
					<td  align="center" valign="middle"><font color=Red>***</font></td>
				<% } %>
			</tr>
			
			<tr>
				<td  align="center" valign="middle">Response Description</td>
				<% if(isChecksumValid){ %>
					<td  align="center" valign="middle"><%=request.getParameter("responseDescription")%></td>
				<% } else{ %>
					<td  align="center" valign="middle"><font color=Red>This response is compromised.</font></td>
				<% } %>
			</tr>

			<tr>
				<td width="100%" align="center" valign="middle">Checksum verified?</td>
				<% if(isChecksumValid){ %>
					<td width="100%" align="center" valign="middle">Yes</td>
				<% } else{ %>
					<td width="100%" align="center" valign="middle"><font color=Red>No</font></td>
				<% } %>
			</tr>
		</table>
	
	
	</center>		
</body>
</html>

